他のバージョンの文書 11 | 10 | 9.6 | 9.5 | 9.4 | 9.3 | 9.2 | 9.1 | 9.0 | 8.4 | 8.3 | 8.2 | 8.1 | 8.0 | 7.4 | 7.3 | 7.2

16.2. 必要条件

通常、最近のUnix互換プラットフォームならばPostgreSQLを動作させることができるはずです。 リリース時に明示的なテストを受けたプラットフォームの一覧を16.6に示します。 配布物のdocサブディレクトリには、プラットフォーム固有のFAQ文書がいくつかありますので、問題が発生した場合は参照してください。

PostgreSQLを構築するには、以下のソフトウェアパッケージが必要です。

以下のパッケージはオプションです。 これらはデフォルトの設定では必要ありませんが、下記のように特定の構築オプションを有効とする場合に必要となります。

リリースされたソースパッケージではなくGitツリーからの構築の場合、またはサーバ開発を行いたい場合には、以下のパッケージも必要となります。

GNUパッケージの入手が必要な場合、近くのGNUミラーサイトから探してください(ミラーサイトの一覧はhttp://www.gnu.org/order/ftp.htmlにあります)。 または、ftp://ftp.gnu.org/gnu/から探してください。

また、十分なディスク領域があることも確認してください。 コンパイル中、ソースツリーのために100メガバイト、インストールディレクトリに20メガバイトほど必要となります。 空のデータベースクラスタだけでも約35メガバイト必要です。データベースは、同じデータのフラットテキストファイルと比べて5倍ほどの領域が必要になります。 リグレッションテストを実行する場合は、一時的に最大で150メガバイトの領域がさらに必要になります。 ディスクの空き容量を確認するためにはdfコマンドを使います。